红宝石司机

Ruby驱动程序的驱动程序兼容性表。

Apache Cassandra的DataStax Ruby驱动程序® and the DataStax Apache Cassandra的分布(DDAC)

桌子 1. 矩阵表图标传奇
图标 描述
完全兼容。
部分兼容。
不相容
最新的未成年人开发了新功能和错误修复 鼓励司机的版本,并鼓励用户保持当前 那些小版本。 API根据稳定维持稳定 语义版本化 惯例和升级 should be trivial.
笔记: 早期版本的DataStax Cassandra驱动程序没有完全支持DSE features.

图标传奇

驱动程序版本 Apache Cassandra版本 DataStax Enterprise Version. Datastax Astra.
版本 3.0+DDAC. 2.2 2.1 6.8 6.7 6.0 5.1 5.0
3.0+ 3 3 3 3 3
2.1 2 2 2 2 2
1.0+ 2 2 2 2 2 2

DDAC.Apache Cassandra的DataStax分发具有相同的驱动程序 版本兼容性为Cassandra 3.11。

2仅限于Cassandra 2.0 API。

3虽然OSS驱动程序能够连接到DSE 群集,我们强烈建议升级到DSE驱动因素,以便充分利用 of all DSE features.

DataStax Enterprise Ruby驱动程序

笔记: 虽然OSS驱动程序能够连接到DSE集群,但我们强烈推荐 升级到DSE驱动程序,以充分利用所有DSE功能。

图标传奇

Driver version DataStax Enterprise Version. Datastax Astra.
版本 6.7 6.0 5.1 5.0 4.8
所有版本 1 1 1

1限于DSE 5.0 API。